Bug 54273 - ppa driver (zip100 parallel port) crashes SMP kernel
ppa driver (zip100 parallel port) crashes SMP kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-02 15:52 EDT by adi
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description adi 2001-10-02 15:52:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
Installing the kernel module 'ppa' on an SMP kernel locks the system
completely. (driver file /lib/modules/2.2.19-6.2.7smp/scsi/ppa.o)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot an SMP kernel (I tried with all the 6.2 smp kernels: 2.2.19-6.2.7,
2.2.19-6.2.1, 2.2.17-14, 2.2.16-3)
2. 'insmod ppa' or 'modprobe ppa'
3. watch your system lock up

Actual Results:  System locked and no keyboard or network activity was
accepted.  In other words, the machine transformed itself into an expensive
power consuming paperweight.

Expected Results:  Detect parallel port zip drive and continue operating
normally.  Works fine with non-SMP 6.2 kernels.

Additional info:


 - Supermicro P6DBE motherboard
 - dual Pentium III 550Mhz (Katmai) processors, 512K cache each
 - 256M memory
 - standard iomega zip100 parallel port drive
Comment 1 Bugzilla owner 2004-09-30 11:39:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.